
<template>
  <!--加上     :extend="extend"    可以出现查看明细选项-->
  <view-grid
    ref="grid"
    :columns="columns"
    :detail="detail"
    :editFormFields="editFormFields"
    :editFormOptions="editFormOptions"
    :searchFormFields="searchFormFields"
    :searchFormOptions="searchFormOptions"
    :table="table"
  ></view-grid>
</template>
    <script>
import extend from "@/extension/taskinfo/thickness_hty.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    const table = ref({
      key: "id",
      footer: "Foots",
      cnName: "出库厚度历史",
      name: "thickness_hty",
      url: "/Thickness_hty/",
      sortName: "createDate"
    });
    const editFormFields = ref({});
    const editFormOptions = ref([

    ]);
    const searchFormFields = ref({

    });
    const searchFormOptions = ref([

    ]);
    const columns = ref([
      {
        field: "id",
        title: "Id",
        type: "int",
        width: 100,
        hidden: true,
        readonly: true,
        require: true,
        align: "left"
      },
      {
        field: "topleft",
        title: "顶部左边",
        type: "string",
        width: 100,
        align: "left"
      },
      {
        field: "topmiddle",
        title: "顶部中间",
        type: "string",
        width: 100,
        align: "left"
      },
      {
        field: "topright",
        title: "顶部右边",
        type: "string",
        width: 100,
        align: "left"
      },
      {
        field: "centreleft",
        title: "中间左边",
        type: "string",
        width: 100,
        align: "left"
      },
      {
        field: "centremiddle",
        title: "中间中心",
        type: "string",
        width: 100,
        align: "left"
      },
      {
        field: "centreright",
        title: "中间右边",
        type: "string",
        width: 100,
        align: "left"
      },
      {
        field: "bottomleft",
        title: "底部左边",
        type: "string",
        width: 100,
        align: "left"
      },
      {
        field: "bottomright",
        title: "底部右边",
        type: "string",
        width: 100,
        align: "left"
      },
      {
        field: "qualified",
        title: "是否合格",
        type: "string",
        width: 100,
        align: "left",
        bind: { key: "qualified", data: [
          {key: "0", value: "不合格"},
          {key: "1", value: "合格"},
        ] },
      },
      {
        field: "interval",
        title: "区间值",
        type: "string",
        width: 400,
        align: "left"
      },
      {
        field: "creater",
        title: "创建人",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "createDate",
        title: "创建时间",
        type: "datetime",
        width: 150,
        align: "left",
      },
    ]);
    const detail = ref({
      cnName: "#detailCnName",
      table: "",
      columns: [],
      sortName: ""
    });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      detail
    };
  }
});
</script>
    